package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zsy
 * @description:自动思维量表
 * @date 2021/7/20 15:55
 */
public class ATOScale extends BaseScale{

    public ATOScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public  JSONObject scaleCalculate() throws Exception {
        //得分
        int score = 0;
        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("scoreDirection").equals("1")) {
                if (jsonObject1.getString("checkItems").equals("无")) {
                    score += 1;
                } else if (jsonObject1.getString("checkItems").equals("偶尔出现")) {
                    score += 2;
                } else if (jsonObject1.getString("checkItems").equals("有时出现")) {
                    score += 3;
                } else if (jsonObject1.getString("checkItems").equals("经常出现")) {
                    score += 4;
                } else if (jsonObject1.getString("checkItems").equals("持续存在")) {
                    score += 5;
                }
            } else if (jsonObject1.getString("scoreDirection").equals("0")){
                if (jsonObject1.getString("checkItems").equals("无")) {
                    score += 5;
                } else if (jsonObject1.getString("checkItems").equals("偶尔出现")) {
                    score += 4;
                } else if (jsonObject1.getString("checkItems").equals("有时出现")) {
                    score += 3;
                } else if (jsonObject1.getString("checkItems").equals("经常出现")) {
                    score += 2;
                } else if (jsonObject1.getString("checkItems").equals("持续存在")) {
                    score += 1;
                }

            }
        }
        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));

        List<Map<String,String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList",resultMapList);
        returnJson.put("scaleName",Constant.SHEET_NAME_ATO);
        returnJson.put("resultJson",resultJson);

        return returnJson;
    }
}
